Subject: bug#34480: closed (Re: [bug#34480] [PATCH 0/2] Ensure Guix always has 'glibc-utf8-locales')

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 16 Feb 2019 00:08:01 +0000

Your bug report

#34480: [PATCH 0/2] Ensure Guix always has 'glibc-utf8-locales'

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34480: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34480
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#34480] [PATCH 0/2] Ensure Guix always has 'glibc-utf8-locales'
From: Ludovic Courtès <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: [email-masked], Leo Famulari <[email-masked]>
Date: Sat, 16 Feb 2019 01:07:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ricardo Wurmus <[email-masked]> skribis:

> Leo Famulari <[email-masked]> writes:
>
>> On Thu, Feb 14, 2019 at 11:17:15PM +0100, Ludovic Courtès wrote:
>>> Hello Guix,
>>> 
>>> After hearing about so many bad first impressions due to missing locales,
>>> I decided to bite the bullet.  I still don’t consider the approach
>>> really satisfying, in particular due to the arbitrary locale selection
>>> in ‘glibc-utf8-locales’, but the benefits are worth it IMO (I feel like
>>> I’ve been too obtuse on this topic, and I’m sorry about that!).
>>
>> Okay, I think it's the right thing to do. We are constantly having to
>> explain the locales warning on IRC.
>
> This ensures that Guix itself works without these warnings.  It doesn’t
> have an effect on installed applications, though, does it?  (That’s fine.)

No it doesn’t; users still have to install ‘glibc-utf8-locales’ or
‘glibc-locales’ and set GUIX_LOCPATH for those.

However it occurred to me that warnings by Guix itself were the most
pressing issue: that’s basically the first message Guix would print.

>>> The closure size of the ‘guix’ package increases like this:
>>> 
>>> --8<---------------cut here---------------start------------->8---
>>> $ guix size guix | tail -1
>>> total: 354.2 MiB
>>> $ guix size guix glibc-utf8-locales | tail -1
>>> total: 368.0 MiB
>>> --8<---------------cut here---------------end--------------->8---
>>> 
>>> That’s a 4% increase, not that bad.
>>
>> It's worth it.
>
> I agree.
>
> Thank you, Ludo, for reconsidering and implementing this!

Done!

  ba48895899 self: Bundle 'glibc-utf8-locales'.
  8a973abc6f gnu: guix: Embed 'glibc-utf8-locales'.

Thank you,
Ludo’.

Subject: [PATCH 0/2] Ensure Guix always has 'glibc-utf8-locales'
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Thu, 14 Feb 2019 23:17:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

After hearing about so many bad first impressions due to missing locales,
I decided to bite the bullet.  I still don’t consider the approach
really satisfying, in particular due to the arbitrary locale selection
in ‘glibc-utf8-locales’, but the benefits are worth it IMO (I feel like
I’ve been too obtuse on this topic, and I’m sorry about that!).

The closure size of the ‘guix’ package increases like this:

--8<---------------cut here---------------start------------->8---
$ guix size guix | tail -1
total: 354.2 MiB
$ guix size guix glibc-utf8-locales | tail -1
total: 368.0 MiB
--8<---------------cut here---------------end--------------->8---

That’s a 4% increase, not that bad.

Something that would be worth looking into is how much space it would take
to have all the supported UTF-8 locales in that package.

Thoughts?

Ludo’.

Ludovic Courtès (2):
  self: Bundle 'glibc-utf8-locales'.
  gnu: guix: Embed 'glibc-utf8-locales'.

 gnu/packages/package-management.scm | 12 +++++++++---
 guix/self.scm                       | 14 ++++++++++++++
 2 files changed, 23 insertions(+), 3 deletions(-)

-- 
2.20.1